{ pkgs, inputs, lib, ... }:

  # Spicetify
let
  spicePkgs = inputs.spicetify-nix.legacyPackages.${pkgs.stdenv.hostPlatform.system};
in
{
  programs.spicetify = {
    enable = true;

    enabledCustomApps = with spicePkgs.apps; [
      newReleases
      ncsVisualizer
    ];

    enabledSnippets = with spicePkgs.snippets; [
      rotatingCoverart
      pointer
    ];

    theme = lib.mkDefault spicePkgs.themes.catppuccin;
    colorScheme = lib.mkDefault "mocha";
  };
}
